import { DQLClient } from '../client/dql';
import { CompletionContext, CompletionResult } from '@codemirror/autocomplete';
export interface CompleteStrategy {
    DQL(context: CompletionContext): Promise<CompletionResult | null> | CompletionResult | null;
}
export declare function isDQLClient(dqlClent: DQLClient): dqlClent is DQLClient;
export declare function newCompleteStrategy(dqlClent?: DQLClient): CompleteStrategy;
