import { Parser } from '../parser';
// HybridLint will provide a promQL linter with static analysis
export class HybridLint {
    promQL() {
        return (view) => {
            const parser = new Parser(view.state);
            parser.analyze();
            return parser.getDiagnostics();
        };
    }
}
//# sourceMappingURL=hybrid.js.map