"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HybridLint = void 0;
var parser_1 = require("../parser");
// HybridLint will provide a promQL linter with static analysis
var HybridLint = /** @class */ (function () {
    function HybridLint() {
    }
    HybridLint.prototype.promQL = function () {
        return function (view) {
            var parser = new parser_1.Parser(view.state);
            parser.analyze();
            return parser.getDiagnostics();
        };
    };
    return HybridLint;
}());
exports.HybridLint = HybridLint;
//# sourceMappingURL=hybrid.js.map